SND_CARD_NEW(9)

NAME
snd_card_new - create and initialize a soundcard structure

SYNOPSIS

int snd_card_new(struct device * parent, int idx, const char * xid, struct module * module, int extra_size, struct snd_card ** card_ret);

ARGUMENTS

parent
    the parent device object

idx
    card index (address) [0 ... (SNDRV_CARDS-1)]

xid
    card identification (ASCII string)

module
    top level module for locking

extra_size
    allocate this extra size after the main soundcard structure

card_ret
    the pointer to store the created card instance

DESCRIPTION

Creates and initializes a soundcard structure.

The function allocates snd_card instance via kzalloc with the given space for the driver to use freely. The allocated struct is stored in the given card_ret pointer.

RETURN

Zero if successful or a negative error code.

COPYRIGHT